// Refresher.h: interface for the Refresher class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REFRESHER_H__356C3003_41F5_483E_BF61_6500E0D09F7E__INCLUDED_)
#define AFX_REFRESHER_H__356C3003_41F5_483E_BF61_6500E0D09F7E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class OverviewWindow;
class CObjManFrame;
class CGameView;

class Refresher  
{
protected:
	OverviewWindow *overWnd;
	CObjManFrame *objmanWnd;
	CGameView *gameWnd;
public:
	static Refresher *Instance;
	Refresher(OverviewWindow *w1,CObjManFrame *w2,CGameView *w3) {overWnd=w1; objmanWnd=w2; gameWnd=w3;} 
	virtual ~Refresher();

	void ObjManSelRefresh();
	void ObjManListRefresh();
	void WorldRefresh(CWnd *ignore=NULL,bool expandlist=false);
	void DrawRefresh(CWnd *ignore=NULL);
	void OverviewRefresh();
	void View3DRefresh();
};

#endif // !defined(AFX_REFRESHER_H__356C3003_41F5_483E_BF61_6500E0D09F7E__INCLUDED_)
